Bug 87544 - MENUS: Edit > Paste entry enabled when in Read-Only Mode
Summary: MENUS: Edit > Paste entry enabled when in Read-Only Mode
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Main-Menu Paste Read-Only
  Show dependency treegraph
 
Reported: 2014-12-21 00:24 UTC by Yousuf Philips (jay) (retired)
Modified: 2018-07-02 02:34 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-12-21 00:24:24 UTC
Steps:
1) Open a document as read-only (there is a read-only checkbox in the open dialog)
2) Notice that the paste button in the toolbar is disabled
3) Open the 'Edit' menu and the paste entry is enabled

Version: 4.5.0.0.alpha0+
Build ID: e570cd7a293ceee175949dcc9656cdf776ae3c37
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2014-12-12_18:49:54
Comment 1 MM 2014-12-21 00:56:10 UTC
Confirmed under mint 17 x64 with Version: 4.3.5.2
Unconfirmed under windows 7 x64 with Version: 4.3.5.2

Under windows the menuitem is disabled, under linux enabled.
Comment 2 QA Administrators 2016-01-17 20:03:37 UTC Comment hidden (obsolete)
Comment 3 Maxim Monastirsky 2016-01-20 22:23:11 UTC
Yes, under Linux we enable .uno:Paste menu item _always_. The reason is explained in a comment inside menubarmanager.cxx:

http://opengrok.libreoffice.org/xref/core/framework/source/uielement/menubarmanager.cxx#409

Although I'm not sure why we don't do the same for the toolbar. There was similar code for the toolbar, but it was removed in 2009 (with no explanation in the commit message). Does it mean that the underlying problem is already fixed, and we can remove this workaround from the menu code too?

Anyway, excluding read-only documents from this workaround is a valid request.
Comment 4 QA Administrators 2017-03-06 14:11:24 UTC Comment hidden (obsolete)
Comment 5 Yousuf Philips (jay) (retired) 2017-05-04 17:28:07 UTC
Still happening.

Version: 5.4.0.0.alpha0+
Build ID: 74ccd02eda2d6325a27266fd935aba29b3d75020
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-04-27_23:51:14
Locale: en-US (en_US.UTF-8); Calc: group

(In reply to Maxim Monastirsky from comment #3)
> Although I'm not sure why we don't do the same for the toolbar. There was
> similar code for the toolbar, but it was removed in 2009 (with no
> explanation in the commit message). Does it mean that the underlying problem
> is already fixed, and we can remove this workaround from the menu code too?

Sorry for the delayed reply. Not sure what the underlying problem is, but how can we find out.
Comment 6 QA Administrators 2018-07-02 02:34:58 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug